/*
This is a Example program to retrieve and display the data. 
Press the Run button on the right of the screen (described the behavior of the Example program below). 
Please create a new application rewrite this program work. 
*/

//自治会一覧//
//infoウィンドウの初期化
var currentwindow=null;

window.onload = function() {
	// データをLinkDataから取得 
	tmp_a_data = new Array();
	
	$.each(LinkData.getWorks(), function(workKey, workValue) {
		//$("#result").append("<h3>Work: " + workValue + "</h3>");
		$.each(LinkData.getFiles(workValue), function(fileKey, fileValue) {
			$.each(LinkData.getSubjects(workValue, fileValue), function(subjKey, subjValue) {
				var tmp_data = {}
				tmp_data["id"] = subjValue;
				$.each(LinkData.getProperties(workValue, fileValue), function(propKey, propValue) {
					$.each(LinkData.getObjects(workValue, fileValue, subjValue, propValue), function(objKey, objValue) {
						if(propValue == "http://imi.ipa.go.jp/ns/core/rdf#町名"){
							tmp_data["name"] = objValue;
						}else if(propValue == "http://imi.ipa.go.jp/ns/core/rdf#カナ表記"){
							tmp_data["kana"] = objValue;
						}else if(propValue == "http://www.w3.org/2003/01/geo/wgs84_pos#lat"){
							tmp_data["lat"] = objValue;
						}else if(propValue == "http://www.w3.org/2003/01/geo/wgs84_pos#long"){
							tmp_data["longitude"] = objValue;
						}else if(propValue == "http://linkdata.org/property/rdf1s3230i#" + encodeURIComponent("area_community_hall")){
							tmp_data["hall"] = objValue;
						}else if(propValue == "http://linkdata.org/property/rdf1s3230i#" + encodeURIComponent("elementary_school")){
							tmp_data["e_sch"] = objValue;
						}else if(propValue == "http://linkdata.org/property/rdf1s3230i#" + encodeURIComponent("ｌower_secondary_school")){
							tmp_data["l_sch"] = objValue;
						}else if(propValue == "http://linkdata.org/property/rdf1s3230i#" + encodeURIComponent("volunteer_fire_department")){
							tmp_data["fire"] = objValue;
						}else if(propValue == "http://linkdata.org/property/rdf1s3230i#" + encodeURIComponent("larger_section")){
							tmp_data["oaza"] = objValue;
						}else if(propValue == "http://imi.ipa.go.jp/ns/core/rdf#郵便番号"){
							tmp_data["yubin"] = objValue;
						}else if(propValue == "http://linkdata.org/property/rdf1s3230i#" + encodeURIComponent("refuge")){
							tmp_data["hinanjo"] = objValue;
						}else if(propValue == "http://imi.ipa.go.jp/ns/core/Core22.html#標準日付型"){
							tmp_data["kijunbi"] = objValue;
						}else if(propValue == "http://linkdata.org/property/rdf1s3230i#" + encodeURIComponent("household")){
							tmp_data["setai"] = objValue;
						}else if(propValue == "http://linkdata.org/property/rdf1s3230i#" + encodeURIComponent("total")){
							tmp_data["total"] = objValue;
						}else if(propValue == "http://linkdata.org/property/rdf1s3230i#" + encodeURIComponent("male")){
							tmp_data["male"] = objValue;
						}else if(propValue == "http://linkdata.org/property/rdf1s3230i#" + encodeURIComponent("female")){
							tmp_data["female"] = objValue;
						}
					});
				});
				tmp_a_data.push(tmp_data);
			});
		});
	});

	//全データ
	all_data = tmp_a_data;
	//自治会のデータを表示
	$(".select").append("<option value='-1' selected='selected'>自治会（町）を選んでください。</option>");
	for (var i in all_data){
		if (all_data[i].name ){ 
                var all_id=all_data[i].name;

			$(".select").append("<option value='"+ all_data[i].id +"'>" + all_data[i].name+ "</option>");
		}
		}


	
	//自治会が選択、変更された時の処理
	$(".select").change(function() {
		//詳細データのリセット
		$("#result2").empty();
		
		//選択された自治会の詳細データの表示
		var sectionKaKey = $("option:selected", $(this)).val();
		if (sectionKaKey == -1) {
			//$("#result2").html("");
			return;
		}
		$("#result2").append();
		for (var i in all_data){
			var detail_c = sectionKaKey;
			if (all_data[i].id === detail_c){
				$("#result2").append("<div>【読み方】:" + all_data[i].kana + "<br/>【大字】:" + all_data[i].oaza + "<br/>【郵便番号】:" + all_data[i].yubin+"<br/>(注：墨坂は382-0099、墨坂南は382-0098、臥竜は382-0028です)<br/>【小学校】:" + all_data[i].e_sch + "<br/>" + "【中学校】:" + all_data[i].l_sch + "<br/>【地域公民館】:"  +　all_data[i].hall + "<br/>【消防団】:"+ all_data[i].fire + "<br/>【避難所】:" +　all_data[i].hinanjo + "<br/>【人口（"  +　all_data[i].kijunbi +"時点)】<br/>　世帯:"  +　all_data[i].setai +"世帯<br/>　男性:"  +　all_data[i].male +"人<br/>　女性:"  +　all_data[i].female + "人<br/>　合計:"  +　all_data[i].total + "人</div>");
				
// 地図センター緯度経度の初期値は「須坂市役所」
    
	var latlng = new google.maps.LatLng(all_data[i].lat,all_data[i].longitude);
    var myOptions = {
    zoom: 16,
    center: latlng,
	 mapTypeId: google.maps.MapTypeId.ROADMAP
    };
   var map = new google.maps.Map(document.getElementById("result"), myOptions);

//* アイコン設定 *//
  var icon = new google.maps.MarkerImage('http://app.linkdata.org/asset/7c83d9be.png',
    new google.maps.Size(100,100),
    new google.maps.Point(0,0),
    new google.maps.Point(19,51)
  );
  var markerOptions = {
    position: latlng,
    map: map,
    icon: icon,
     };
  var marker = new google.maps.Marker(markerOptions);
				
 
				
				
	// ウィンドウに表示するデータをつくる
	var data = new Array();
	for (var i in all_data){ 
        var value = all_data[i].name;  
        data.push({position: new google.maps.LatLng(all_data[i].lat, all_data[i].longitude), content: '【'+ all_data[i].name + '(' + all_data[i].kana + ')】<br>　公民館：' + all_data[i].hall + '<br>　小学校：' +all_data[i].e_sch +'<br>　中学校：' + all_data[i].l_sch + '<br>　消防団：' +all_data[i].fire +  '<br>　大字：' +all_data[i].oaza+'<br><a href="http://maps.google.com/maps?q=' + all_data[i].lat + ',' + all_data[i].longitude + '" target="_blank">マップアプリで経路案内</a>' 
				  });
             	};     

			}
		}
	});
}
	

